---
title: "What happened at the Q4'2020 GitLab Hackathon"
author: Christos Bacharakis
author_gitlab: cbacharakis
author_twitter: bacharakis
categories: open source unfiltered
image_title: '/images/blogimages/2018-09-13-gitlab-hackathon-cover.jpg'
description: "Here's a recap of GitLab community accomplishments during the Hackathon on Jan 6-7th of 2021."
tags: community, collaboration, open source
ee_cta: false
postType: corporate
twitter_text: "What happened at the Q4'2020 @gitlab Hackathon"
---

{::options parse_block_html="true" /}

<i class="fab fa-gitlab" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>&nbsp;&nbsp;
This blog post is [Unfiltered](/handbook/marketing/blog/unfiltered/#legal-disclaimer)
&nbsp;&nbsp;<i class="fab fa-gitlab" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>
{: .alert .alert-webcast}


Another GitLab hackathon is completed, and I would like to begin by celebrating our community contributions! Congratulations to everyone who participated and contributed to GitLab.

This time, participants managed to land 160 Merge Request, where 122  (76%) of them have already been merged across eight projects such as: GitLab, Omnibus, GitLab Development Kit, CNG, Runner and more.

![Hackathon playlist](/images/blogimages/Hackathon_playlist.png){: .shadow.medium.center}

During the Hackathon, a number of GitLab Team members ran a series of tutorial sessions around various GitLab Products, stages and groups like Runner, Release Stage, GitLab Pajamas, and Package Group. All of these sessions that are a resource for future contributions were recorded and can be found on our [YouTube Channel](https://www.youtube.com/playlist?list=PL05JrBw4t0KrqGydhkV_BUPrI-DBiDKfm).

Something unique about this Hackathon is that it happened two times. Originally it was scheduled to take place in December, around the time my onboarding was going to be completed; thus, we had to move it to the beginning of January. Our Tokyo community had already made arrangements for these dates, and with the lead of our Core Team member [Takuya Noguchi](https://gitlab.com/tnir), they successfully organized a [regional GitLab hackathon](https://gitlab-jp.connpass.com/event/189496/). 


## Hackathon prizes

Like past events, everyone who had MRs merged will receive a token of our appreciation for their contribution. This time, [thirty people](https://gitlab.biterg.io/goto/74cd40b61c23e54920180c4001dee505) had their MRs merged, where five of them had more than 10 MRs merged, which will receive the Second Prize.

The grand prize will go to [Kev](https://gitlab.com/KevSlashNull), who had the highest number of MRs, 26 in total, and all of them have been merged. 

Below is a list of the top five contributors for this Hackathon, and on our Bitergia Metrics Dashboard, you can find all of the technical information about [everyone's contributions](https://gitlab.biterg.io/goto/74cd40b61c23e54920180c4001dee505).

- Grand Prize: [Kev](https://gitlab.com/KevSlashNull), with 26 MRs merged
- Second Prize: [Yogi](https://gitlab.com/yo), with 16 MRs merged
- Second Prize: [Marvin Karegyeya](https://gitlab.com/nuwe1), with 11 MRs merged
- Second Prize: [Takuya Noguchi](https://gitlab.com/tnir), with 11 MRs merged
- Second Prize: [ Johnston Chan](https://gitlab.com/JonstonChan), with 10 MRs merged

![Hackathon playlist](/images/blogimages/q4-hackathon-details.png){: .shadow.medium.center}

## When is the next Hackathon?

The next Hackathon will occur on March 31st - April 1st, 2021 (yes, it's true!), and all the necessary information will be posted on the [Hackathon page by March 1st](/community/hackathon/).

## How do I get started with contributing?

A good place to start is the [Contributing to GitLab page](/community/contribute/), where you can learn how you can
contribute to GitLab code, documentation, translation, and UX design.

If you have any questions, you are always welcome to reach me at cbacharakis@gitlab.com.

["GitLab application screengrab"](https://unsplash.com/photos/ZV_64LdGoao) by [Pankaj Patel](https://unsplash.com/@pankajpatel) on Unsplash
{: .note}
